project(TestServerLMS LANGUAGES CXX)

common_info_for_project(TestServerLMS)

add_executable(TestServerLMS
main.cpp
mainwindow.cpp
mainwindow.h
mainwindow.ui
testServerLMS.qrc
)

target_link_libraries(TestServerLMS PRIVATE Qt5::Widgets)
target_link_libraries(TestServerLMS PRIVATE Qt5::Network)
target_link_libraries(TestServerLMS PRIVATE Qt5::Sql)
target_link_libraries(TestServerLMS PRIVATE Qt5::Xml)

target_include_directories(TestServerLMS PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../DataBaseLMS)
if(PROJECT_TYPE_DEBUG)
    target_link_directories(TestServerLMS PUBLIC ${REPO_PATH}/BUILDS/Debug64/DataBaseLMS)
else()
    target_link_directories(TestServerLMS PUBLIC ${REPO_PATH}/BUILDS/Release64/DataBaseLMS)
endif()
target_link_libraries(TestServerLMS PRIVATE libDataBaseLMS.dll)

target_include_directories(TestServerLMS PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../ServerLMS)
if(PROJECT_TYPE_DEBUG)
    target_link_directories(TestServerLMS PUBLIC ${REPO_PATH}/BUILDS/Debug64/ServerLMS)
else()
    target_link_directories(TestServerLMS PUBLIC ${REPO_PATH}/BUILDS/Release64/ServerLMS)
endif()
target_link_libraries(TestServerLMS PRIVATE libServerLMS.dll)
